%{?nodejs_find_provides_and_requires}

%global packagename fs.js
%global enable_tests 0
# tests disabled due to failing dependencies

Name:		nodejs-fs-dot-js
Version:	0.0.1
Release:	1%{?dist}
Summary:	A lightweight wrapper for File System API based on nodejs

License:	MIT
# license is not included in the file, but is listed in the GitHub readme at the
# URL below.  See https://github.com/OptimalBits/fs.js/issues/2
URL:		https://github.com/OptimalBits/fs.js
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(express)
%endif

Requires:	nodejs

%description
A lightweight wrapper for File System API based on nodejs


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct 21 2015 Jared Smith <jsmith@fedoraproject.org> - 0.0.1-1
- Initial packaging
